namespace CMSMicroservice.Application.ProductCategoryCQ.Queries.GetAllProductCategoryByFilter;
public class GetAllProductCategoryByFilterQueryValidator : AbstractValidator<GetAllProductCategoryByFilterQuery>
{
    public GetAllProductCategoryByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllProductCategoryByFilterQuery>.CreateWithOptions((GetAllProductCategoryByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
